cdac.medinfo.sdk.hl7282.baselibs.segments

## Class ConsentSeg

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.ConsentSeg

- All Implemented Interfaces:
    ISegment

      public class ConsentSeg
      extends Segment

  CON - Consent Segment.

  The consent segment provides details about a specific consent by a patient or staff member.

  Represents an HL7 CON message segment. This segment has the following fields:

  CON-1: Set ID - CON (SI)Required
  CON-2: Consent Type (CWE)Optional
  CON-3: Consent Form ID and Version (ST)Optional
  CON-4: Consent Form Number (EI)Optional
  CON-5: Consent Text (FT)Optional
  CON-6: Subject-specific Consent Text (FT)Optional
  CON-7: Consent Background Information (FT)Optional
  CON-8: Subject-specific Consent Background Text(FT)Optional
  CON-9: Consenter-imposed Limitations (FT)Optional
  CON-10: Consent Mode (CNE)Optional
  CON-11: Consent Status (CNE)Required
  CON-12: Consent Discussion Date/Time (DTM)Optional
  CON-13: Consent Decision Date/Time (DTM)Optional
  CON-14: Consent Effective Date/Time (DTM)Optional
  CON-15: Consent End Date/Time (DTM)Optional
  CON-16: Subject Competence Indicator (ID)Optional
  CON-17: Translator Assistance Indicator (ID)Optional
  CON-18: Language Translated To (CWE)Optional
  CON-19: Informational Material Supplied Indicator (ID)Optional
  CON-20: Consent Bypass Reason (CWE)Optional
  CON-21: Consent Disclosure Level (ID)Optional
  CON-22: Consent Non-disclosure Reason (CWE)Optional
  CON-23: Non-subject Consenter Reason(CWE)Optional
  CON-24: Consenter ID (XPN)Required
  CON-25: Relationship to Subject(CWE)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsentSeg()` Constructs the CON segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConsentBackgroundInformation(FT objConsentBackgroundInformation)` Set the Consent Background Information.
    `void` | `addConsentBackgroundInformation(java.lang.String strConsentBackgroundInformation)` Set the Consent Background Information.
    `void` | `addConsenterID(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Consenter ID.
    `void` | `addConsenterID(XPN objConsenterID)` Set the Consenter ID.
    `void` | `addConsenterimposedLimitations(FT objSubjectspecificConsentBackgroundText)` Set the Consenter-imposed Limitations This field describes any restrictions or limitations placed on their consent by the subject.
    `void` | `addConsenterimposedLimitations(java.lang.String strConsenterimposedLimitations)` Set the Consenter-imposed Limitations.
    `void` | `addConsentText(FT objConsentText)` Set the Consent Text.
    `void` | `addConsentText(java.lang.String strConsentText)` Set the Consent Text.
    `void` | `addRelationshipToSubject(CWE objRelationshipToSubject)` Set the Relationship To Subject.
    `void` | `addRelationshipToSubject(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Relationship To Subject.
    `void` | `addSubjectspecificConsentBackgroundText(FT objSubjectspecificConsentBackgroundText)` Set the Consent Background Information.
    `void` | `addSubjectspecificConsentBackgroundText(java.lang.String strSubjectspecificConsentBackgroundText)` Set the Subject-specific Consent Background Text.
    `void` | `addSubjectspecificConsentText(FT objSubjectspecificConsentText)` Set the Subject-specific Consent Text.
    `void` | `addSubjectspecificConsentText(java.lang.String strSubjectspecificConsentText)` Set the Subject-specific Consent Text.
    `ISingleCollection<FT>` | `getConsentBackgroundInformation()` Retrieves the Consent Background Information.
    `CWE` | `getConsentBypassReason()` Retrieves the Consent Bypass Reason.
    `DTM` | `getConsentDecisionDateTime()` Retrieves the Consent Decision Date/Time.
    `ID` | `getConsentDisclosureLevel()` Retrieves the Consent Disclosure Level.
    `DTM` | `getConsentDiscussionDateTime()` Retrieves the Consent Discussion Date/Time.
    `DTM` | `getConsentEffectiveDateTime()` Retrieves the Consent Effective Date/Time.
    `DTM` | `getConsentEndDateTime()` Retrieves the Consent End Date/Time.
    `ISingleCollection<XPN>` | `getConsenterID()` Retrieves the Consenter ID.
    `ISingleCollection<FT>` | `getConsenterimposedLimitations()` Retrieves the Consenter-imposed Limitations.
    `ST` | `getConsentFormIDandVersion()` Retrieves the Consent Form ID and Version.
    `EI` | `getConsentFormNumber()` Retrieves the Consent Form Number.
    `CNE` | `getConsentMode()` Retrieves the Consent Mode.
    `CWE` | `getConsentNondisclosureReason()` Retrieves the Consent Non-disclosure Reason.
    `CNE` | `getConsentStatus()` Retrieves the Consent Status.
    `ISingleCollection<FT>` | `getConsentText()` Retrieves the Consent Text.
    `CWE` | `getConsentType()` Retrieves the Consent Type.
    `ID` | `getInformationalMaterialSuppliedIndicator()` Retrieves the Informational Material Supplied Indicator.
    `CWE` | `getLanguageTranslatedTo()` Retrieves the Language Translated to.
    `CWE` | `getNonsubjectConsenterReason()` Retrieves the Non-subject Consenter Reason.
    `ISingleCollection<CWE>` | `getRelationshiptoSubject()` Retrieves the Relationship to Subject.
    `SI` | `getSetID_CON()` Retrieves the Set ID - CON.
    `ID` | `getSubjectCompetenceIndicator()` Retrieves the Subject Competence Indicator.
    `ISingleCollection<FT>` | `getSubjectspecificConsentBackgroundText()` Retrieves the Subject-specific Consent Background Text.
    `ISingleCollection<FT>` | `getSubjectspecificConsentText()` Retrieves the Subject-specific Consent Text.
    `ID` | `getTranslatorAssistanceIndicator()` Retrieves the Translator Assistance Indicator.
    `void` | `setConsentBackgroundInformation(ISingleCollection<FT> objConsentBackgroundInformationList)` Set the Consent Background Information.
    `void` | `setConsentBypassReason(CWE objConsentBypassReason)` Set the Consent Bypass Reason.
    `void` | `setConsentBypassReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Consent Bypass Reason.
    `void` | `setConsentDecisionDateTime(DTM objConsentDecisionDateTime)` Set the Consent Decision Date/Time.
    `void` | `setConsentDecisionDateTime(java.lang.String strTime)` Set the Consent Decision Date/Time.
    `void` | `setConsentDisclosureLevel(ID objConsentDisclosureLevel)` Set the Consent Disclosure Level.
    `void` | `setConsentDisclosureLevel(java.lang.String strConsentDisclosureLevel)` Set the Consent Disclosure Level This field identifies whether additional educational or reference material was provided to the subject as part of the consent process.
    `void` | `setConsentDiscussionDateTime(DTM objConsentDiscussionDateTime)` Set the Consent Discussion Date/Time.
    `void` | `setConsentDiscussionDateTime(java.lang.String strTime)` Set the Consent Discussion Date/Time.
    `void` | `setConsentEffectiveDateTime(DTM objConsentEffectiveDateTime)` Set the Consent Effective Date/Time.
    `void` | `setConsentEffectiveDateTime(java.lang.String strTime)` Set the Consent Effective Date/Time.
    `void` | `setConsentEndDateTime(DTM objConsentEndDateTime)` Set the Consent End Date/Time.
    `void` | `setConsentEndDateTime(java.lang.String strTime)` Set the Consent End Date/Time.
    `void` | `setConsenterID(ISingleCollection<XPN> objConsenterIDList)` Set the Consenter ID.
    `void` | `setConsenterimposedLimitations(ISingleCollection<FT> objConsenterimposedLimitationsList)` Set the Consenter-imposed Limitations.
    `void` | `setConsentFormIDandVersion(ST objfillerField1)` Set the Consent Form ID and Version.
    `void` | `setConsentFormIDandVersion(java.lang.String strConsentFormIDandVersion)` Set the Consent Form ID and Version.
    `void` | `setConsentFormNumber(EI objConsentFormNumber)` Set the Consent Form Number.
    `void` | `setConsentFormNumber(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Consent Form Number.
    `void` | `setConsentMode(CNE objConsentMode)` Set the Consent Mode.
    `void` | `setConsentMode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Consent Mode.
    `void` | `setConsentNondisclosureReason(CWE objConsentNondisclosureReason)` Set the Consent Non-disclosure Reason.
    `void` | `setConsentNondisclosureReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Consent Non-disclosure Reason.
    `void` | `setConsentStatus(CNE objConsentStatus)` Set the Consent Status.
    `void` | `setConsentStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Consent Status.
    `void` | `setConsentText(ISingleCollection<FT> objConsentTextList)` Set the Consent Text.
    `void` | `setConsentType(CWE objConsentType)` Set the Consent Type.
    `void` | `setConsentType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Consent Type.
    `void` | `setInformationalMaterialSuppliedIndicator(ID objInformationalMaterialSuppliedIndicator)` Set the Informational Material Supplied Indicator.
    `void` | `setInformationalMaterialSuppliedIndicator(java.lang.String strInformationalMaterialSuppliedIndicator)` Set the Informational Material Supplied Indicator This field identifies whether additional educational or reference material was provided to the subject as part of the consent process.
    `void` | `setLanguageTranslatedTo(CWE objLanguageTranslatedTo)` Set the Language Translated To.
    `void` | `setLanguageTranslatedTo(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Language Translated To.
    `void` | `setNonsubjectConsenterReason(CWE objNonsubjectConsenterReason)` Set the Non-subject Consenter Reason.
    `void` | `setNonsubjectConsenterReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Non-subject Consenter Reason.
    `void` | `setRelationshipToSubject(ISingleCollection<CWE> objRelationshipToSubjectList)` Set the Relationship To Subject.
    `void` | `setSetID_CON(SI objsetID_CON)` Set the Set ID CON.
    `void` | `setSetID_CON(java.lang.String strSetID_CON)` Set the Set ID CON.
    `void` | `setSubjectCompetenceIndicator(ID objSubjectCompetenceIndicator)` Set the Subject Competence Indicator.
    `void` | `setSubjectCompetenceIndicator(java.lang.String strSubjectCompetenceIndicator)` Set the Subject Competence Indicator This field identifies whether the subject was deemed competent to provide consent.
    `void` | `setSubjectspecificConsentBackgroundText(ISingleCollection<FT> objConsentBackgroundInformationList)` Set the Consent Background Information.
    `void` | `setSubjectspecificConsentText(ISingleCollection<FT> objSubjectspecificConsentTextList)` Set the Subject-specific Consent Text.
    `void` | `setTranslatorAssistanceIndicator(ID objTranslatorAssistanceIndicator)` Set the Translator Assistance Indicator.
    `void` | `setTranslatorAssistanceIndicator(java.lang.String strTranslatorAssistanceIndicator)` Set the Translator Assistance Indicator This field identifies whether the subject was deemed competent to provide consent.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsentSeg

          public ConsentSeg()

      Constructs the CON segment.

  - ### Method Detail

    - #### getSetID_CON

          public SI getSetID_CON()

      Retrieves the Set ID - CON. This field is used to identify CON segment instance within the message.
      Returns:
        SI - SetID_PAC

    - #### getConsentType

          public CWE getConsentType()

      Retrieves the Consent Type. This field describes what the subject is consenting to i.e what type of service, surgical procedure, information access/release or other event.
      Returns:
        CWE - ConsentType

    - #### getConsentFormIDandVersion

          public ST getConsentFormIDandVersion()

      Retrieves the Consent Form ID and Version. This field identifies a specific version of the consent form used to record the consent.
      Returns:
        ST - ConsentFormIDandVersion

    - #### getConsentFormNumber

          public EI getConsentFormNumber()

      Retrieves the Consent Form Number. This identifier uniquely identifies a specific recorded consent.
      Returns:
        EI - ConsentFormNumber

    - #### getConsentText

          public ISingleCollection<FT> getConsentText()

      Retrieves the Consent Text. This field describes the specific procedures/information releases/events the subject is consenting to.
      Returns:
        ISingleCollection - ConsentText

    - #### getSubjectspecificConsentText

          public ISingleCollection<FT> getSubjectspecificConsentText()

      Retrieves the Subject-specific Consent Text. This field describes any additions or variations to the standard procedures/information releases/events from a standard consent that are applicable to the subject whose consent is sought.
      Returns:
        ISingleCollection - SubjectspecificConsentText

    - #### getConsentBackgroundInformation

          public ISingleCollection<FT> getConsentBackgroundInformation()

      Retrieves the Consent Background Information. This field describes any additions or variations relating to the procedure/information release/event that needs to be understood by the subject for informed consent.
      Returns:
        ISingleCollection - ConsentBackgroundInformation

    - #### getSubjectspecificConsentBackgroundText

          public ISingleCollection<FT> getSubjectspecificConsentBackgroundText()

      Retrieves the Subject-specific Consent Background Text. This field describes any additions or variations to standard additional information that needs to be understood by the patient for informed consent.
      Returns:
        ISingleCollection - SubjectspecificConsentBackgroundText

    - #### getConsenterimposedLimitations

          public ISingleCollection<FT> getConsenterimposedLimitations()

      Retrieves the Consenter-imposed Limitations. This field describes any restrictions or limitations placed on their consent by the subject.
      Returns:
        ISingleCollection - ConsenterimposedLimitations

    - #### getConsentMode

          public CNE getConsentMode()

      Retrieves the Consent Mode. This field specifies the method in which a subject provides consent.
      Returns:
        CNE - ConsentMode

    - #### getConsentStatus

          public CNE getConsentStatus()

      Retrieves the Consent Status. This field indicates whether consent has been sought and granted.
      Returns:
        CNE - ConsentStatus

    - #### getConsentDiscussionDateTime

          public DTM getConsentDiscussionDateTime()

      Retrieves the Consent Discussion Date/Time. This field identifies the time when consent was discussed with the subject.
      Returns:
        DTM - ConsentDiscussionDateTime

    - #### getConsentDecisionDateTime

          public DTM getConsentDecisionDateTime()

      Retrieves the Consent Decision Date/Time. This field identifies the time when the decision to grant/refuse consent was made.
      Returns:
        DTM - ConsentDecisionDateTime

    - #### getConsentEffectiveDateTime

          public DTM getConsentEffectiveDateTime()

      Retrieves the Consent Effective Date/Time. This field identifies the time the consent becomes/became effective.
      Returns:
        DTM - ConsentEffectiveDateTime

    - #### getConsentEndDateTime

          public DTM getConsentEndDateTime()

      Retrieves the Consent End Date/Time. This field identifies the time the consent becomes ineffective.
      Returns:
        DTM - ConsentEndDateTime

    - #### getSubjectCompetenceIndicator

          public ID getSubjectCompetenceIndicator()

      Retrieves the Subject Competence Indicator. This field identifies whether the subject was deemed competent to provide consent.
      Returns:
        ID - SubjectCompetenceIndicator

    - #### getTranslatorAssistanceIndicator

          public ID getTranslatorAssistanceIndicator()

      Retrieves the Translator Assistance Indicator. This field identifies whether the translation was (or will be) required to obtain informed consent.
      Returns:
        ID - TranslatorAssistanceIndicator

    - #### getLanguageTranslatedTo

          public CWE getLanguageTranslatedTo()

      Retrieves the Language Translated to. This field identifies the language the consent material must be translated to.
      Returns:
        CWE - LanguageTranslatedTo

    - #### getInformationalMaterialSuppliedIndicator

          public ID getInformationalMaterialSuppliedIndicator()

      Retrieves the Informational Material Supplied Indicator. This field identifies whether additional educational or reference material was provided to the subject as part of the consent process.
      Returns:
        ID - InformationalMaterialSuppliedIndicator

    - #### getConsentBypassReason

          public CWE getConsentBypassReason()

      Retrieves the Consent Bypass Reason. This field identifies why the subject's consent was not sought.
      Returns:
        CWE - ConsentBypassReason

    - #### getConsentDisclosureLevel

          public ID getConsentDisclosureLevel()

      Retrieves the Consent Disclosure Level. This field identifies how much information was disclosed to the subject as part of the informed consent process.
      Returns:
        ID - ConsentDisclosureLevel

    - #### getConsentNondisclosureReason

          public CWE getConsentNondisclosureReason()

      Retrieves the Consent Non-disclosure Reason. This field identifies why the subject did not receive full disclosure.
      Returns:
        CWE - ConsentNondisclosureReason

    - #### getNonsubjectConsenterReason

          public CWE getNonsubjectConsenterReason()

      Retrieves the Non-subject Consenter Reason. This field identifies why consent was granted by a person other than the subject of the consent.
      Returns:
        CWE - NonsubjectConsenterReason

    - #### getConsenterID

          public ISingleCollection<XPN> getConsenterID()

      Retrieves the Consenter ID. This field identifies the individual(s) who is (are) consenting.
      Returns:
        ISingleCollection - ConsenterID

    - #### getRelationshiptoSubject

          public ISingleCollection<CWE> getRelationshiptoSubject()

      Retrieves the Relationship to Subject. This field identifies the relationship of the consenter to the subject.
      Returns:
        ISingleCollection - RelationshiptoSubject

    - #### setSetID_CON

          public void setSetID_CON(java.lang.String strSetID_CON)

      Set the Set ID CON.
      Parameters:
        `strSetID_CON` - Specifies setID_CON.

    - #### setSetID_CON

          public void setSetID_CON(SI objsetID_CON)

      Set the Set ID CON.
      Parameters:
        `objsetID_CON` - Object of Set ID CON.

    - #### setConsentType

          public void setConsentType(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Consent Type. This field describes what the subject is consenting to i.e what type of service, surgical procedure, information access/release or other event.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setConsentType

          public void setConsentType(CWE objConsentType)

      Set the Consent Type. This field describes what the subject is consenting to i.e what type of service, surgical procedure, information access/release or other event.
      Parameters:
        `objConsentType` - Object of Consent Type.

    - #### setConsentFormIDandVersion

          public void setConsentFormIDandVersion(java.lang.String strConsentFormIDandVersion)

      Set the Consent Form ID and Version.
      Parameters:
        `strConsentFormIDandVersion` - Specifies Consent Form ID and Version.

    - #### setConsentFormIDandVersion

          public void setConsentFormIDandVersion(ST objfillerField1)

      Set the Consent Form ID and Version.
      Parameters:
        `objfillerField1` - Object of Filler Field1.

    - #### setConsentFormNumber

          public void setConsentFormNumber(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Set the Consent Form Number. This identifier uniquely identifies a specific recorded consent.
      Parameters:
        `strEntityIdentifier` - Specifies to be unique within the series of identifiers created by the assigning authority, defined by a hierarchic designator
        `strNamespaceId` - Specifies the assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strUniversalId` - Specifies a string formatted according to the scheme defined by the third component universal ID type. It is intended to be unique over time within the UID type.
        `strUniversalIdType` - Governs the interpretation of the Universal ID.

    - #### setConsentFormNumber

          public void setConsentFormNumber(EI objConsentFormNumber)

      Set the Consent Form Number. This identifier uniquely identifies a specific recorded consent.
      Parameters:
        `objConsentFormNumber` - Object of Consent Form Number.

    - #### addConsentText

          public void addConsentText(java.lang.String strConsentText)

      Set the Consent Text. This field describes the specific procedures/information releases/events the subject is consenting to.
      Parameters:
        `strConsentText` - Specifies Consent Text

    - #### addConsentText

          public void addConsentText(FT objConsentText)

      Set the Consent Text. This field describes the specific procedures/information releases/events the subject is consenting to.
      Parameters:
        `objConsentText` - Object of Consent Text.

    - #### setConsentText

          public void setConsentText(ISingleCollection<FT> objConsentTextList)

      Set the Consent Text. This field describes the specific procedures/information releases/events the subject is consenting to.
      Parameters:
        `objConsentText` - List of Consent Text

    - #### addSubjectspecificConsentText

          public void addSubjectspecificConsentText(java.lang.String strSubjectspecificConsentText)

      Set the Subject-specific Consent Text. This field describes any additions or variations to the standard procedures/information releases/events from a standard consent that are applicable to the subject whose consent is sought.
      Parameters:
        `strSubjectspecificConsentText` - Specifies Subject-specific Consent Text

    - #### addSubjectspecificConsentText

          public void addSubjectspecificConsentText(FT objSubjectspecificConsentText)

      Set the Subject-specific Consent Text. This field describes any additions or variations to the standard procedures/information releases/events from a standard consent that are applicable to the subject whose consent is sought.
      Parameters:
        `objConsentText` - Object of Subject-specific Consent Text.

    - #### setSubjectspecificConsentText

          public void setSubjectspecificConsentText(ISingleCollection<FT> objSubjectspecificConsentTextList)

      Set the Subject-specific Consent Text. This field describes any additions or variations to the standard procedures/information releases/events from a standard consent that are applicable to the subject whose consent is sought.
      Parameters:
        `objSubjectspecificConsentText` - List of Consent Text

    - #### addConsentBackgroundInformation

          public void addConsentBackgroundInformation(java.lang.String strConsentBackgroundInformation)

      Set the Consent Background Information. This field describes any additions or variations to the standard procedures/information releases/events from a standard consent that are applicable to the subject whose consent is sought.
      Parameters:
        `strConsentBackgroundInformation` - Specifies Consent Background Information

    - #### addConsentBackgroundInformation

          public void addConsentBackgroundInformation(FT objConsentBackgroundInformation)

      Set the Consent Background Information. This field describes any additions or variations to the standard procedures/information releases/events from a standard consent that are applicable to the subject whose consent is sought.
      Parameters:
        `objConsentBackgroundInformation` - Object of Consent Background Information.

    - #### setConsentBackgroundInformation

          public void setConsentBackgroundInformation(ISingleCollection<FT> objConsentBackgroundInformationList)

      Set the Consent Background Information. This field describes any additions or variations to the standard procedures/information releases/events from a standard consent that are applicable to the subject whose consent is sought.
      Parameters:
        `objConsentBackgroundInformationList` - List of Consent Background Information

    - #### addSubjectspecificConsentBackgroundText

          public void addSubjectspecificConsentBackgroundText(java.lang.String strSubjectspecificConsentBackgroundText)

      Set the Subject-specific Consent Background Text. This field describes any additions or variations to standard additional information that needs to be understood by the patient for informed consent.
      Parameters:
        `strSubjectspecificConsentBackgroundIText` - Specifies Subject-specific Consent Background Text

    - #### addSubjectspecificConsentBackgroundText

          public void addSubjectspecificConsentBackgroundText(FT objSubjectspecificConsentBackgroundText)

      Set the Consent Background Information. This field describes any additions or variations to standard additional information that needs to be understood by the patient for informed consent.
      Parameters:
        `objSubjectspecificConsentBackgroundText` - Object of Subject-specific Consent Background Text.

    - #### setSubjectspecificConsentBackgroundText

          public void setSubjectspecificConsentBackgroundText(ISingleCollection<FT> objConsentBackgroundInformationList)

      Set the Consent Background Information. This field describes any additions or variations to standard additional information that needs to be understood by the patient for informed consent.
      Parameters:
        `objSubjectspecificConsentBackgroundTextList` - List of Subject-specific Consent Background Text

    - #### addConsenterimposedLimitations

          public void addConsenterimposedLimitations(java.lang.String strConsenterimposedLimitations)

      Set the Consenter-imposed Limitations. This field describes any restrictions or limitations placed on their consent by the subject.
      Parameters:
        `strConsenterimposedLimitations` - Specifies Consenter-imposed Limitations

    - #### addConsenterimposedLimitations

          public void addConsenterimposedLimitations(FT objSubjectspecificConsentBackgroundText)

      Set the Consenter-imposed Limitations This field describes any restrictions or limitations placed on their consent by the subject.
      Parameters:
        `objConsenterimposedLimitations` - Object of Consenter-imposed Limitations.

    - #### setConsenterimposedLimitations

          public void setConsenterimposedLimitations(ISingleCollection<FT> objConsenterimposedLimitationsList)

      Set the Consenter-imposed Limitations. This field describes any restrictions or limitations placed on their consent by the subject.
      Parameters:
        `objConsenterimposedLimitationsList` - List of Consenter-imposed Limitations

    - #### setConsentMode

          public void setConsentMode(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionID,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameOfSecondAltenateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Consent Mode. This field specifies the method in which a subject provides consent.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setConsentMode

          public void setConsentMode(CNE objConsentMode)

      Set the Consent Mode. This field specifies the method in which a subject provides consent.
      Parameters:
        `objConsentMode` - Object of Consent Mode.

    - #### setConsentStatus

          public void setConsentStatus(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionID,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameOfSecondAltenateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Consent Status. This field indicates whether consent has been sought and granted.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setConsentStatus

          public void setConsentStatus(CNE objConsentStatus)

      Set the Consent Status. This field indicates whether consent has been sought and granted.
      Parameters:
        `objConsentStatus` - Object of Consent Status.

    - #### setConsentDiscussionDateTime

          public void setConsentDiscussionDateTime(java.lang.String strTime)

      Set the Consent Discussion Date/Time. This field identifies the time when consent was discussed with the subject.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setConsentDiscussionDateTime

          public void setConsentDiscussionDateTime(DTM objConsentDiscussionDateTime)

      Set the Consent Discussion Date/Time. This field identifies the time when consent was discussed with the subject.
      Parameters:
        `objConsentDiscussionDateTime` - Object of Consent Discussion Date/Time.

    - #### setConsentDecisionDateTime

          public void setConsentDecisionDateTime(java.lang.String strTime)

      Set the Consent Decision Date/Time. This field identifies the time when the decision to grant/refuse consent was made.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setConsentDecisionDateTime

          public void setConsentDecisionDateTime(DTM objConsentDecisionDateTime)

      Set the Consent Decision Date/Time. This field identifies the time when the decision to grant/refuse consent was made.
      Parameters:
        `objConsentDecisionDateTime` - Object of Consent Decision Date/Time.

    - #### setConsentEffectiveDateTime

          public void setConsentEffectiveDateTime(java.lang.String strTime)

      Set the Consent Effective Date/Time. This field identifies the time the consent becomes/became effective.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setConsentEffectiveDateTime

          public void setConsentEffectiveDateTime(DTM objConsentEffectiveDateTime)

      Set the Consent Effective Date/Time. This field identifies the time the consent becomes/became effective.
      Parameters:
        `objConsentEffectiveDateTime` - Object of Consent Effective Date/Time.

    - #### setConsentEndDateTime

          public void setConsentEndDateTime(java.lang.String strTime)

      Set the Consent End Date/Time. This field identifies the time the consent becomes/became effective.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation. *

    - #### setConsentEndDateTime

          public void setConsentEndDateTime(DTM objConsentEndDateTime)

      Set the Consent End Date/Time. This field identifies the time the consent becomes/became effective.
      Parameters:
        `objConsentEndDateTime` - Object of Consent Effective Date/Time.

    - #### setSubjectCompetenceIndicator

          public void setSubjectCompetenceIndicator(java.lang.String strSubjectCompetenceIndicator)

      Set the Subject Competence Indicator This field identifies whether the subject was deemed competent to provide consent.
      Parameters:
        `strSubjectCompetenceIndicator` - Specifies Subject Competence Indicator.

    - #### setSubjectCompetenceIndicator

          public void setSubjectCompetenceIndicator(ID objSubjectCompetenceIndicator)

      Set the Subject Competence Indicator. This field identifies whether the subject was deemed competent to provide consent.
      Parameters:
        `objSubjectCompetenceIndicator` - specifies Subject Competence Indicator.

    - #### setTranslatorAssistanceIndicator

          public void setTranslatorAssistanceIndicator(java.lang.String strTranslatorAssistanceIndicator)

      Set the Translator Assistance Indicator This field identifies whether the subject was deemed competent to provide consent.
      Parameters:
        `strSubjectCompetenceIndicator` - Specifies Subject Competence Indicator.

    - #### setTranslatorAssistanceIndicator

          public void setTranslatorAssistanceIndicator(ID objTranslatorAssistanceIndicator)

      Set the Translator Assistance Indicator. This field identifies whether the subject was deemed competent to provide consent.
      Parameters:
        `objTranslatorAssistanceIndicator` - specifies Translator Assistance Indicator.

    - #### setLanguageTranslatedTo

          public void setLanguageTranslatedTo(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Language Translated To. This field identifies the language the consent material must be translated to.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLanguageTranslatedTo

          public void setLanguageTranslatedTo(CWE objLanguageTranslatedTo)

      Set the Language Translated To. This field identifies the language the consent material must be translated to.
      Parameters:
        `objLanguageTranslatedTo` - Object of Language Translated To.

    - #### setInformationalMaterialSuppliedIndicator

          public void setInformationalMaterialSuppliedIndicator(java.lang.String strInformationalMaterialSuppliedIndicator)

      Set the Informational Material Supplied Indicator This field identifies whether additional educational or reference material was provided to the subject as part of the consent process.
      Parameters:
        `strInformationalMaterialSuppliedIndicator` - Specifies Informational Material Supplied Indicator.

    - #### setInformationalMaterialSuppliedIndicator

          public void setInformationalMaterialSuppliedIndicator(ID objInformationalMaterialSuppliedIndicator)

      Set the Informational Material Supplied Indicator. This field identifies whether additional educational or reference material was provided to the subject as part of the consent process.
      Parameters:
        `objInformationalMaterialSuppliedIndicator` - specifies Informational Material Supplied Indicator.

    - #### setConsentBypassReason

          public void setConsentBypassReason(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Consent Bypass Reason. This field identifies why the subject's consent was not sought.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setConsentBypassReason

          public void setConsentBypassReason(CWE objConsentBypassReason)

      Set the Consent Bypass Reason. This field identifies why the subject's consent was not sought.
      Parameters:
        `objConsentBypassReason` - Object of Consent Bypass Reason.

    - #### setConsentDisclosureLevel

          public void setConsentDisclosureLevel(java.lang.String strConsentDisclosureLevel)

      Set the Consent Disclosure Level This field identifies whether additional educational or reference material was provided to the subject as part of the consent process.
      Parameters:
        `strConsentDisclosureLevel` - Specifies Consent Disclosure Level.

    - #### setConsentDisclosureLevel

          public void setConsentDisclosureLevel(ID objConsentDisclosureLevel)

      Set the Consent Disclosure Level. This field identifies whether additional educational or reference material was provided to the subject as part of the consent process.
      Parameters:
        `objConsentDisclosureLevel` - specifies Consent Disclosure Level.

    - #### setConsentNondisclosureReason

          public void setConsentNondisclosureReason(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Consent Non-disclosure Reason. This field identifies why the subject did not receive full disclosure.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setConsentNondisclosureReason

          public void setConsentNondisclosureReason(CWE objConsentNondisclosureReason)

      Set the Consent Non-disclosure Reason. This field identifies why the subject did not receive full disclosure.
      Parameters:
        `objConsentNondisclosureReason` - Object of Consent Non-disclosure Reason.

    - #### setNonsubjectConsenterReason

          public void setNonsubjectConsenterReason(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Non-subject Consenter Reason. This field identifies why consent was granted by a person other than the subject of the consent.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setNonsubjectConsenterReason

          public void setNonsubjectConsenterReason(CWE objNonsubjectConsenterReason)

      Set the Non-subject Consenter Reason. This field identifies why consent was granted by a person other than the subject of the consent.
      Parameters:
        `objNonsubjectConsenterReason` - Object of Non-subject Consenter Reason.

    - #### addConsenterID

          public void addConsenterID(FN objFamilyName,
                            java.lang.String strGivenName,
                            java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                            java.lang.String strSuffix,
                            java.lang.String strPrefix,
                            java.lang.String strNameTypeCode,
                            java.lang.String strNameRepresentationCode,
                            CWE objNameContext,
                            java.lang.String strNameAssemblyOrder,
                            DTM objEffectiveDate,
                            DTM objExpirationDate,
                            java.lang.String strProfessionalSuffix,
                            java.lang.String strCalledBy)

      Set the Consenter ID. This field identifies the individual(s) who is (are) consenting.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addConsenterID

          public void addConsenterID(XPN objConsenterID)

      Set the Consenter ID. This field identifies the individual(s) who is (are) consenting.
      Parameters:
        `objConsenterID` - Specifies Consenter ID

    - #### setConsenterID

          public void setConsenterID(ISingleCollection<XPN> objConsenterIDList)

      Set the Consenter ID. This field identifies the individual(s) who is (are) consenting.
      Parameters:
        `objConsenterIDList` - List of Consenter ID

    - #### addRelationshipToSubject

          public void addRelationshipToSubject(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Relationship To Subject. This field identifies the relationship of the consenter to the subject.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addRelationshipToSubject

          public void addRelationshipToSubject(CWE objRelationshipToSubject)

      Set the Relationship To Subject. This field identifies the relationship of the consenter to the subject.
      Parameters:
        `objRelationshipToSubject` - Specifies Relationship To Subject

    - #### setRelationshipToSubject

          public void setRelationshipToSubject(ISingleCollection<CWE> objRelationshipToSubjectList)

      Set the Relationship To Subject. This field identifies the relationship of the consenter to the subject.
      Parameters:
        `objRelationshipToSubjectList` - List of Relationship To Subject

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Segment Validation Fails.